com.fasterxml.jackson.databind.ser.std

## Class StdArraySerializers.ByteArraySerializer

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonSerializer<T>
  - - com.fasterxml.jackson.databind.ser.std.StdSerializer<byte[]>
    - - com.fasterxml.jackson.databind.ser.std.ByteArraySerializer
      - - com.fasterxml.jackson.databind.ser.std.StdArraySerializers.ByteArraySerializer

- All Implemented Interfaces:
    JsonFormatVisitable, SchemaAware, Serializable
  Enclosing class:
    StdArraySerializers

  Deprecated.
  Since 2.6 use the main-level implementation, base class of this class

      @Deprecated
      public static class StdArraySerializers.ByteArraySerializer
      extends ByteArraySerializer

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonSerializer

      `JsonSerializer.None`

  - ### Field Summary

    - ### Fields inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer

      `_handledType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ByteArraySerializer()` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class com.fasterxml.jackson.databind.ser.std.ByteArraySerializer

      `acceptJsonFormatVisitor, getSchema, isEmpty, serialize, serializeWithType`

    - ### Methods inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer

      `createObjectNode, createSchemaNode, createSchemaNode, findConvertingContentSerializer, findPropertyFilter, getSchema, handledType, isDefaultSerializer, wrapAndThrow, wrapAndThrow`

    - ### Methods inherited from class com.fasterxml.jackson.databind.JsonSerializer

      `getDelegatee, isEmpty, isUnwrappingSerializer, properties, replaceDelegatee, unwrappingSerializer, usesObjectId, withFilterId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ByteArraySerializer

          public ByteArraySerializer()

      Deprecated.

Copyright © 2014–2015 FasterXML. All rights reserved.